SmartMemory
POST
/auth/clerk/oauth-exchange

Exchange a verified Clerk OAuth token for an access-only SM token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

A Clerk OAuth token submitted to the hosted MCP bridge endpoint.

Response Body

application/json

application/json

curl -X POST "https://example.com/auth/clerk/oauth-exchange" \  -H "Content-Type: application/json" \  -d '{    "token": "string"  }'
{
  "access_token": "string",
  "token_type": "bearer",
  "expires_at": "2019-08-24T14:15:22Z",
  "user_id": "string",
  "tenant_id": "string",
  "default_team_id": "string",
  "active_workspace_id": "string",
  "email": "string",
  "org_id": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}